# mysql_drop_db

(PHP 4, PHP 5)

mysql_drop_db — Drop (delete) a MySQL database

Warning

This function was deprecated in PHP 4.3.0, and it and the entire original MySQL extension was removed in PHP 7.0.0. Instead, use either the actively developed MySQLi or PDO_MySQL extensions. See also the MySQL: choosing an API guide and its related FAQ entry for additional information. Alternatives to this function include:

- Execute a DROP DATABASE query

### Description

mysql_drop_db ( string `$database_name` [, resource `$link_identifier` = NULL ] ) : bool

mysql_drop_db() attempts to drop (remove) an entire database from the server associated with the specified link identifier. This function is deprecated, it is preferable to use mysql_query() to issue an sql DROP DATABASE statement instead.

### Parameters

`database_name`

  The name of the database that will be deleted.

`link_identifier`

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() had been called with no arguments. If no connection is found or established, an `E_WARNING` level error is generated.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 mysql_drop_db() alternative example

`<?php
$link = mysql_connect('localhost', 'mysql_user', 'mysql_password');
if (!$link) {
die('Could not connect: ' . mysql_error());
}
$sql = 'DROP DATABASE my_db';
if (mysql_query($sql, $link)) {
echo "Database my_db was successfully dropped\n";
} else {
echo 'Error dropping database: ' . mysql_error() . "\n";
}
?>`

### Notes

Warning

This function will not be available if the MySQL extension was built against a MySQL 4.x client library.

> Note:

> For backward compatibility, the following deprecated alias may be used: mysql_dropdb()

### See Also

- mysql_query() - Send a MySQL query